diff --git a/bugs/index.html b/bugs/index.html
index 910888bb0eca..a9689269d4a6 100644
--- a/bugs/index.html
+++ b/bugs/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>Bugs in GDB</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -205,7 +205,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/committee/index.html b/committee/index.html
index b1003e14f69b..3a13400ac0cf 100644
--- a/committee/index.html
+++ b/committee/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>The Official FSF-appointed GDB Maintainers</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -121,7 +121,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/contribute/index.html b/contribute/index.html
index 7f0b03bd3016..4cd70b0dce4d 100644
--- a/contribute/index.html
+++ b/contribute/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>Contributing to GDB</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -116,7 +116,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/css/site.css b/css/site.css
new file mode 100644
index 000000000000..824a5b9573bb
--- /dev/null
+++ b/css/site.css
@@ -0,0 +1,16 @@
+body {
+  background-color: #FFF;
+  color: #000;
+}
+
+a:link {
+  color: #1F00FF;
+}
+
+a:active {
+  color: #F00;
+}
+
+a:visited {
+  color: #90D;
+}
diff --git a/current/index.html b/current/index.html
index efb418dfc33a..38a5dc85789f 100644
--- a/current/index.html
+++ b/current/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>Current GDB</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -216,7 +216,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2022-06-07.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/documentation/index.html b/documentation/index.html
index 35ca3ed4ab00..c9c2ac074cd6 100644
--- a/documentation/index.html
+++ b/documentation/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>GDB Documentation</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -227,7 +227,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/download/index.html b/download/index.html
index bbea2614e17c..4cf914b6199b 100644
--- a/download/index.html
+++ b/download/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>Download GDB</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -123,7 +123,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2022-05-01.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/index.html b/index.html
index 3035abc7a50a..2b6470804df4 100644
--- a/index.html
+++ b/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../gdb/css/site.css" />
 
 <title>GDB: The GNU Project Debugger</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../gdb/mascot/"> <img border="0"
 src="../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -281,7 +281,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2022-12-18.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/index.sh b/index.sh
index 704cec08e224..66c38ffa83d3 100755
--- a/index.sh
+++ b/index.sh
@@ -98,13 +98,13 @@ cat <<EOF
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="${prefix}images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="${prefix}css/site.css" />
 
 <title>${title}</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="${prefix}mascot/"> <img border="0"
 src="${prefix}images/archer.svg" align="right" alt="[image of Archer
diff --git a/irc/index.html b/irc/index.html
index 904a901aa110..fa481e6f9267 100644
--- a/irc/index.html
+++ b/irc/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>The GDB IRC Channel</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -93,7 +93,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/links/index.html b/links/index.html
index 77a2975fc3c1..f04abd3295d5 100644
--- a/links/index.html
+++ b/links/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>Sites and links related to GDB</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -196,7 +196,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/mailing-lists/index.html b/mailing-lists/index.html
index cf4530be7689..df6eb69c33e9 100644
--- a/mailing-lists/index.html
+++ b/mailing-lists/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>GDB Mailing Lists</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -163,7 +163,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/mascot/index.html b/mascot/index.html
index 8a70092178bc..84b30341d271 100644
--- a/mascot/index.html
+++ b/mascot/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>GDB's Mascot?</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -118,7 +118,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/news/index.html b/news/index.html
index 62b30f9e42bb..60baffb5e340 100644
--- a/news/index.html
+++ b/news/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>GDB News</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -2335,7 +2335,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2022-12-18.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/papers/index.html b/papers/index.html
index 039aeb936313..519baa7cb1ab 100644
--- a/papers/index.html
+++ b/papers/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>Various GDB Papers</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -96,7 +96,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/schedule/index.html b/schedule/index.html
index d4f12b4904bb..9333d8b9300a 100644
--- a/schedule/index.html
+++ b/schedule/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>Release schedule for GDB</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -358,7 +358,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2022-05-01.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/song/index.html b/song/index.html
index 9a135a4c74bf..72a4d2b88e00 100644
--- a/song/index.html
+++ b/song/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>Sing along with GDB</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -105,7 +105,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/talks/index.html b/talks/index.html
index 540a0f473403..b041105b8091 100644
--- a/talks/index.html
+++ b/talks/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>GDB Talks and Lectures</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -97,7 +97,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>
diff --git a/testing/index.html b/testing/index.html
index 2b53d8e933b6..3fe8bed84daf 100644
--- a/testing/index.html
+++ b/testing/index.html
@@ -8,13 +8,13 @@
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
+<link rel="stylesheet" href="../../gdb/css/site.css" />
 
 <title>GDB Test Farms</title>
 
 </head>
 
-<body bgcolor="#FFFFFF" text="#000000" link="#1F00FF" alink="#FF0000"
-vlink="#9900DD">
+<body>
 
 <a href="../../gdb/mascot/"> <img border="0"
 src="../../gdb/images/archer.svg" align="right" alt="[image of Archer
@@ -96,7 +96,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2021-09-09.</p>
+<p>Last modified 2023-01-11.</p>
 </address>
 
 </body>