diff --git a/bugs/index.html b/bugs/index.html
index 951f3460336e..eb83cc1b22ab 100644
--- a/bugs/index.html
+++ b/bugs/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -205,7 +206,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/committee/index.html b/committee/index.html
index 3bc53bf7e2a7..4baf2d9ae023 100644
--- a/committee/index.html
+++ b/committee/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -121,7 +122,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/committee/release-manager.html b/committee/release-manager.html
index 7cfa57c73539..2675d4d320e3 100644
--- a/committee/release-manager.html
+++ b/committee/release-manager.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -129,7 +130,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/contribute/index.html b/contribute/index.html
index 3ebe41ffef60..0fef2998e8ae 100644
--- a/contribute/index.html
+++ b/contribute/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -116,7 +117,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/current/index.html b/current/index.html
index 8feab56f99a1..a83015beef2c 100644
--- a/current/index.html
+++ b/current/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -216,7 +217,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/documentation/index.html b/documentation/index.html
index 82b17a465900..fb0ccd1b0137 100644
--- a/documentation/index.html
+++ b/documentation/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -228,7 +229,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/download/index.html b/download/index.html
index 88568cba3f1d..9ce163a8c256 100644
--- a/download/index.html
+++ b/download/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -123,7 +124,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-03.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/index.html b/index.html
index c70a070626f3..ef0ef7215348 100644
--- a/index.html
+++ b/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../gdb/css/site.css" />
@@ -321,7 +322,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-03.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/index.sh b/index.sh
index 66c38ffa83d3..77cb98204f4e 100755
--- a/index.sh
+++ b/index.sh
@@ -96,6 +96,7 @@ cat <<EOF
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="${prefix}images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="${prefix}css/site.css" />
diff --git a/irc/index.html b/irc/index.html
index 1c305c6bb220..a55fc7491c62 100644
--- a/irc/index.html
+++ b/irc/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -93,7 +94,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/links/index.html b/links/index.html
index 013d351316b4..a74d1d1021dd 100644
--- a/links/index.html
+++ b/links/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -196,7 +197,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/mailing-lists/index.html b/mailing-lists/index.html
index 9741baa90d28..9b10e884aeab 100644
--- a/mailing-lists/index.html
+++ b/mailing-lists/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -163,7 +164,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/mascot/index.html b/mascot/index.html
index 57216658b05a..0abb8043fdd0 100644
--- a/mascot/index.html
+++ b/mascot/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -118,7 +119,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/news/index.html b/news/index.html
index 6efc58388848..7721b0ff7f91 100644
--- a/news/index.html
+++ b/news/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -2594,7 +2595,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-03.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/news/reversible.html b/news/reversible.html
index 67963872b417..087ca33914fd 100644
--- a/news/reversible.html
+++ b/news/reversible.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -171,7 +172,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/papers/index.html b/papers/index.html
index 941d5cb40006..baa20ab8a3ae 100644
--- a/papers/index.html
+++ b/papers/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -96,7 +97,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/schedule/index.html b/schedule/index.html
index 3a5fd65109c7..19f3fd6a1889 100644
--- a/schedule/index.html
+++ b/schedule/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -422,7 +423,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-03.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/song/index.html b/song/index.html
index 480b0ebaf855..04c975c1372f 100644
--- a/song/index.html
+++ b/song/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -105,7 +106,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/talks/index.html b/talks/index.html
index 9ea604bf32db..cb0e54444872 100644
--- a/talks/index.html
+++ b/talks/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -97,7 +98,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>
diff --git a/testing/index.html b/testing/index.html
index 0e8a36a87bb9..e65b4cf239bb 100644
--- a/testing/index.html
+++ b/testing/index.html
@@ -6,6 +6,7 @@
 
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<meta name="viewport" content="width=device-width, initial-scale=1.0">
 <link rel="shortcut icon" type="image/x-icon" href="../../gdb/images/archer-fish.ico" />
 <meta name="keywords" content="gdb" />
 <link rel="stylesheet" href="../../gdb/css/site.css" />
@@ -96,7 +97,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-11-29.</p>
+<p>Last modified 2023-12-07.</p>
 </address>
 
 </body>