diff --git a/bugs/index.html b/bugs/index.html
index c77cce297464..09265446d361 100644
--- a/bugs/index.html
+++ b/bugs/index.html
@@ -190,7 +190,7 @@ We welcome feedback and contributions.<p>
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/committee/index.html b/committee/index.html
index 82996773feae..bcf51df2e3ac 100644
--- a/committee/index.html
+++ b/committee/index.html
@@ -106,7 +106,7 @@ affiliation, and they act on behalf of the GNU project.
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/committee/release-manager.html b/committee/release-manager.html
index 60a577d61387..05ccae35cb2f 100644
--- a/committee/release-manager.html
+++ b/committee/release-manager.html
@@ -114,7 +114,7 @@ the Release Manager, but will not ordinarily do so.</li>
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/contribute/index.html b/contribute/index.html
index f832a8092fef..16e0e4489031 100644
--- a/contribute/index.html
+++ b/contribute/index.html
@@ -101,7 +101,7 @@ Contribution Checklist</a>.
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/css/site.css b/css/site.css
index 1d903dc656ed..886dcccb3b0a 100644
--- a/css/site.css
+++ b/css/site.css
@@ -17,6 +17,10 @@ a:visited {
   color: #90D;
 }
 
+#footer {
+  font-size: 0.75em;
+}
+
 @media (prefers-color-scheme: dark) {
   body {
     background-color: #333;
diff --git a/current/index.html b/current/index.html
index 16e22f04f387..66dc5a82b999 100644
--- a/current/index.html
+++ b/current/index.html
@@ -201,7 +201,7 @@ Write access to this repository is restricted.<p>
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/documentation/index.html b/documentation/index.html
index 470620ef8e42..c08253d87921 100644
--- a/documentation/index.html
+++ b/documentation/index.html
@@ -213,7 +213,7 @@ V850 development</a></li>
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/download/index.html b/download/index.html
index 0becc86e852f..e5639369574f 100644
--- a/download/index.html
+++ b/download/index.html
@@ -108,7 +108,7 @@ If anyone has an even older release, we're very interested.
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/index.html b/index.html
index 0d7079757ee8..b619f5168b0a 100644
--- a/index.html
+++ b/index.html
@@ -306,7 +306,7 @@ news <a href="../news">archive</a>.
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/index.sh b/index.sh
index 9bc396da1530..eced31b7ec51 100755
--- a/index.sh
+++ b/index.sh
@@ -153,7 +153,7 @@ EOF
 echo ""
 
 cat <<EOF
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/irc/index.html b/irc/index.html
index ba2baace4ab1..e3256967bc7b 100644
--- a/irc/index.html
+++ b/irc/index.html
@@ -78,7 +78,7 @@ or port 6667 (plaintext).
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/links/index.html b/links/index.html
index 8c26e81b0b25..68626369e247 100644
--- a/links/index.html
+++ b/links/index.html
@@ -181,7 +181,7 @@ Debugging with GDB.</a></li>
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/mailing-lists/index.html b/mailing-lists/index.html
index b65566a604be..892bc72999f2 100644
--- a/mailing-lists/index.html
+++ b/mailing-lists/index.html
@@ -148,7 +148,7 @@ name="bug-gdb"> <b>bug-gdb</b></a>) is the public GDB news group.</dd>
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/mascot/index.html b/mascot/index.html
index d19d77e5ac83..458f3ba74f9d 100644
--- a/mascot/index.html
+++ b/mascot/index.html
@@ -103,7 +103,7 @@ BY-SA 3.0 US</a>.
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/news/index.html b/news/index.html
index 9122e70aa758..dd2482d82bab 100644
--- a/news/index.html
+++ b/news/index.html
@@ -2579,7 +2579,7 @@ development for about five years.  Check it out. <p>
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/news/reversible.html b/news/reversible.html
index bb97a977aa01..bcaddbe571e0 100644
--- a/news/reversible.html
+++ b/news/reversible.html
@@ -156,7 +156,7 @@ we would welcome your help!
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/papers/index.html b/papers/index.html
index 25e7ff0690b6..e74e8b7af68c 100644
--- a/papers/index.html
+++ b/papers/index.html
@@ -81,7 +81,7 @@ Fish]" id="archer-logo"/></a>
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/schedule/index.html b/schedule/index.html
index dec97e082a1e..c051602b1ac7 100644
--- a/schedule/index.html
+++ b/schedule/index.html
@@ -407,7 +407,7 @@ ambitious</td> </tr>
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/song/index.html b/song/index.html
index 5939452ce5c7..ee5b59855a45 100644
--- a/song/index.html
+++ b/song/index.html
@@ -90,7 +90,7 @@ Jason
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/talks/index.html b/talks/index.html
index 40c61daf17b0..a3000bcf8e26 100644
--- a/talks/index.html
+++ b/talks/index.html
@@ -82,7 +82,7 @@ The Heisenberg Debugging Technology: a talk on Introspect given at ESC West.
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a
diff --git a/testing/index.html b/testing/index.html
index 9fbd9a1136fa..19cebd4be00c 100644
--- a/testing/index.html
+++ b/testing/index.html
@@ -81,7 +81,7 @@ href="https://sourceware.org/cgi-bin/gdb.cgi">http://sourceware.org/cgi-bin/gdb.
 
 <hr />
 
-<address>
+<address id="footer">
 
 <p>Please send FSF &amp; GNU inquiries &amp; questions to <a
 href="mailto:gnu@gnu.org">gnu@gnu.org</a>.  There are also <a