diff --git a/bugs/index.html b/bugs/index.html
index 09265446d361..20291a1255ea 100644
--- a/bugs/index.html
+++ b/bugs/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -172,7 +172,7 @@ We welcome feedback and contributions.<p>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -206,7 +206,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/committee/index.html b/committee/index.html
index bcf51df2e3ac..21d49cc34107 100644
--- a/committee/index.html
+++ b/committee/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -88,7 +88,7 @@ affiliation, and they act on behalf of the GNU project.
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -122,7 +122,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/committee/release-manager.html b/committee/release-manager.html
index 05ccae35cb2f..a5e8a088c0a2 100644
--- a/committee/release-manager.html
+++ b/committee/release-manager.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -96,7 +96,7 @@ the Release Manager, but will not ordinarily do so.</li>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -130,7 +130,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/contribute/index.html b/contribute/index.html
index 16e0e4489031..e5e7ab7bbde2 100644
--- a/contribute/index.html
+++ b/contribute/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -83,7 +83,7 @@ Contribution Checklist</a>.
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -117,7 +117,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/current/index.html b/current/index.html
index 66dc5a82b999..a1d75686f298 100644
--- a/current/index.html
+++ b/current/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -183,7 +183,7 @@ Write access to this repository is restricted.<p>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -217,7 +217,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/documentation/index.html b/documentation/index.html
index c08253d87921..c494b1780599 100644
--- a/documentation/index.html
+++ b/documentation/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -195,7 +195,7 @@ V850 development</a></li>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -229,7 +229,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/download/index.html b/download/index.html
index e5639369574f..2cad1f7dc424 100644
--- a/download/index.html
+++ b/download/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -90,7 +90,7 @@ If anyone has an even older release, we're very interested.
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -124,7 +124,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/index.html b/index.html
index b619f5168b0a..5a2b93f19bc4 100644
--- a/index.html
+++ b/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="bugs/">bugs</a>]
-[<a href="committee/">GDB&nbsp;Maintainers</a>]
+[<a href="committee/">maintainers</a>]
 [<a href="contribute/">contributing</a>]
 [<a href="current/">current&nbsp;git</a>]
 [<a href="documentation/">documentation</a>]
@@ -288,7 +288,7 @@ news <a href="../news">archive</a>.
 <center>
 <small>
 [<a href="bugs/">bugs</a>]
-[<a href="committee/">GDB&nbsp;Maintainers</a>]
+[<a href="committee/">maintainers</a>]
 [<a href="contribute/">contributing</a>]
 [<a href="current/">current&nbsp;git</a>]
 [<a href="documentation/">documentation</a>]
@@ -322,7 +322,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/index.sh b/index.sh
index eced31b7ec51..da69c242a178 100755
--- a/index.sh
+++ b/index.sh
@@ -52,7 +52,7 @@ contents ()
 <center>
 <small>
 [<a href="${prefix}bugs/">bugs</a>]
-[<a href="${prefix}committee/">GDB&nbsp;Maintainers</a>]
+[<a href="${prefix}committee/">maintainers</a>]
 [<a href="${prefix}contribute/">contributing</a>]
 [<a href="${prefix}current/">current&nbsp;git</a>]
 [<a href="${prefix}documentation/">documentation</a>]
diff --git a/irc/index.html b/irc/index.html
index e3256967bc7b..a3b9317bc7b8 100644
--- a/irc/index.html
+++ b/irc/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -60,7 +60,7 @@ or port 6667 (plaintext).
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -94,7 +94,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/links/index.html b/links/index.html
index 68626369e247..16156ab76f86 100644
--- a/links/index.html
+++ b/links/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -163,7 +163,7 @@ Debugging with GDB.</a></li>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -197,7 +197,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/mailing-lists/index.html b/mailing-lists/index.html
index 892bc72999f2..3fbc4e4b2a65 100644
--- a/mailing-lists/index.html
+++ b/mailing-lists/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -130,7 +130,7 @@ name="bug-gdb"> <b>bug-gdb</b></a>) is the public GDB news group.</dd>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -164,7 +164,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/mascot/index.html b/mascot/index.html
index 458f3ba74f9d..ace6a74c7925 100644
--- a/mascot/index.html
+++ b/mascot/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -85,7 +85,7 @@ BY-SA 3.0 US</a>.
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -119,7 +119,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/news/index.html b/news/index.html
index dd2482d82bab..464f5881d095 100644
--- a/news/index.html
+++ b/news/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -2561,7 +2561,7 @@ development for about five years.  Check it out. <p>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -2595,7 +2595,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/news/reversible.html b/news/reversible.html
index bcaddbe571e0..160e480c9949 100644
--- a/news/reversible.html
+++ b/news/reversible.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -138,7 +138,7 @@ we would welcome your help!
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -172,7 +172,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/papers/index.html b/papers/index.html
index e74e8b7af68c..06f6fb9ec109 100644
--- a/papers/index.html
+++ b/papers/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -63,7 +63,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -97,7 +97,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/schedule/index.html b/schedule/index.html
index c051602b1ac7..8ddd1c77afcb 100644
--- a/schedule/index.html
+++ b/schedule/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -389,7 +389,7 @@ ambitious</td> </tr>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -423,7 +423,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/song/index.html b/song/index.html
index ee5b59855a45..bd065fc52fb9 100644
--- a/song/index.html
+++ b/song/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -72,7 +72,7 @@ Jason
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -106,7 +106,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/talks/index.html b/talks/index.html
index a3000bcf8e26..0d7476e8717e 100644
--- a/talks/index.html
+++ b/talks/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -64,7 +64,7 @@ The Heisenberg Debugging Technology: a talk on Introspect given at ESC West.
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -98,7 +98,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>
diff --git a/testing/index.html b/testing/index.html
index 19cebd4be00c..ecd57e5d444b 100644
--- a/testing/index.html
+++ b/testing/index.html
@@ -26,7 +26,7 @@ Fish]" id="archer-logo"/></a>
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -63,7 +63,7 @@ href="https://sourceware.org/cgi-bin/gdb.cgi">http://sourceware.org/cgi-bin/gdb.
 <center>
 <small>
 [<a href="../bugs/">bugs</a>]
-[<a href="../committee/">GDB&nbsp;Maintainers</a>]
+[<a href="../committee/">maintainers</a>]
 [<a href="../contribute/">contributing</a>]
 [<a href="../current/">current&nbsp;git</a>]
 [<a href="../documentation/">documentation</a>]
@@ -97,7 +97,7 @@ Floor, Boston, MA 02110-1301 USA.</p>
 <p>Verbatim copying and distribution of this entire article is
 permitted in any medium, provided this notice is preserved.</p>
 
-<p>Last modified 2023-12-11.</p>
+<p>Last modified 2023-12-12.</p>
 </address>
 
 </body>